Bug 133316 - [GTK] Adds stubs for all subtle crypto algorithm implemntations
Summary: [GTK] Adds stubs for all subtle crypto algorithm implemntations
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 133122 133317 133319 133320 133344
  Show dependency treegraph
 
Reported: 2014-05-27 11:58 PDT by Eduardo Lima Mitev
Modified: 2014-08-11 01:59 PDT (History)
10 users (show)

See Also:


Attachments
Patch (35.57 KB, patch)
2014-05-27 11:59 PDT, Eduardo Lima Mitev
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-09 for mac-mountainlion-wk2 (526.93 KB, application/zip)
2014-05-27 13:02 PDT, Build Bot
no flags Details
Patch (35.57 KB, patch)
2014-05-28 03:14 PDT, Eduardo Lima Mitev
no flags Details | Formatted Diff | Diff
Patch (37.69 KB, patch)
2014-05-28 09:38 PDT, Eduardo Lima Mitev
no flags Details | Formatted Diff | Diff
Patch (37.52 KB, patch)
2014-08-08 02:52 PDT, Eduardo Lima Mitev
no flags Details | Formatted Diff | Diff
Patch (37.52 KB, patch)
2014-08-08 04:46 PDT, Eduardo Lima Mitev
no flags Details | Formatted Diff | Diff
Patch (36.05 KB, patch)
2014-08-11 01:07 PDT, Eduardo Lima Mitev
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eduardo Lima Mitev 2014-05-27 11:58:33 PDT
[GTK] Adds stubs for all subtle crypto algorithm implemntations
Comment 1 Eduardo Lima Mitev 2014-05-27 11:59:26 PDT
Created attachment 232141 [details]
Patch
Comment 2 WebKit Commit Bot 2014-05-27 12:01:50 PDT
Attachment 232141 [details] did not pass style-queue:


ERROR: Source/WebCore/ChangeLog:1:  ChangeLog entry has no bug number  [changelog/bugnumber] [5]
ERROR: Source/WebCore/CMakeLists.txt:30:  There should be exactly one empty line instead of 0 between "inspector" and "loader/appcache".  [list/emptyline] [5]
Total errors found: 2 in 17 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Build Bot 2014-05-27 13:02:29 PDT
Comment on attachment 232141 [details]
Patch

Attachment 232141 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/6696170550198272

New failing tests:
media/W3C/video/networkState/networkState_during_loadstart.html
Comment 4 Build Bot 2014-05-27 13:02:33 PDT
Created attachment 232148 [details]
Archive of layout-test-results from webkit-ews-09 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-09  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 5 Eduardo Lima Mitev 2014-05-28 03:14:35 PDT
Created attachment 232184 [details]
Patch
Comment 6 WebKit Commit Bot 2014-05-28 03:15:43 PDT
Attachment 232184 [details] did not pass style-queue:


ERROR: Source/WebCore/CMakeLists.txt:30:  There should be exactly one empty line instead of 0 between "inspector" and "loader/appcache".  [list/emptyline] [5]
Total errors found: 1 in 17 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 Eduardo Lima Mitev 2014-05-28 03:23:46 PDT
(In reply to comment #6)
> Attachment 232184 [details] did not pass style-queue:
> 
> ERROR: Source/WebCore/CMakeLists.txt:30:  There should be exactly one empty line instead of 0 between "inspector" and "loader/appcache".  [list/emptyline] [5]
> Total errors found: 1 in 17 files
> 

I think this is a false positive. The patch has nothing to do with the error mentioned. The occurrence of "inspector" and "loader/appcache" happens at lines 545 and 547 (not 30), and there is an empty line between them.
Comment 8 Eduardo Lima Mitev 2014-05-28 09:38:39 PDT
Created attachment 232204 [details]
Patch
Comment 9 WebKit Commit Bot 2014-05-28 09:40:43 PDT
Attachment 232204 [details] did not pass style-queue:


ERROR: Source/WebCore/CMakeLists.txt:30:  There should be exactly one empty line instead of 0 between "inspector" and "loader/appcache".  [list/emptyline] [5]
Total errors found: 1 in 18 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 10 Eduardo Lima Mitev 2014-05-28 13:21:34 PDT
(In reply to comment #9)
> Attachment 232204 [details] did not pass style-queue:
> 
> 
> ERROR: Source/WebCore/CMakeLists.txt:30:  There should be exactly one empty line instead of 0 between "inspector" and "loader/appcache".  [list/emptyline] [5]
> Total errors found: 1 in 18 files
> 
> 
> If any of these errors are false positives, please file a bug against check-webkit-style.

Opened bug 133354 to follow up with this style error.
Comment 11 Philippe Normand 2014-07-15 02:29:40 PDT
Comment on attachment 232204 [details]
Patch

Looks good but please replace the "Unimplemented" comments with notImplemented() calls :)
Comment 12 Eduardo Lima Mitev 2014-08-08 02:52:57 PDT
Created attachment 236274 [details]
Patch
Comment 13 WebKit Commit Bot 2014-08-08 02:55:14 PDT
Attachment 236274 [details] did not pass style-queue:


ERROR: Source/WebCore/CMakeLists.txt:32:  Alphabetical sorting problem. "page" should be before "loader/appcache".  [list/order] [5]
Total errors found: 1 in 18 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 14 Eduardo Lima Mitev 2014-08-08 04:46:38 PDT
Created attachment 236277 [details]
Patch
Comment 15 WebKit Commit Bot 2014-08-08 04:49:06 PDT
Attachment 236277 [details] did not pass style-queue:


ERROR: Source/WebCore/CMakeLists.txt:32:  Alphabetical sorting problem. "page" should be before "loader/appcache".  [list/order] [5]
Total errors found: 1 in 18 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 16 WebKit Commit Bot 2014-08-11 00:12:56 PDT
Comment on attachment 236277 [details]
Patch

Rejecting attachment 236277 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-01', 'apply-attachment', '--no-update', '--non-interactive', 236277, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
cmake/WebKitFeatures.cmake
Hunk #1 FAILED at 106.
1 out of 1 hunk FAILED -- saving rejects to file Source/cmake/WebKitFeatures.cmake.rej
patching file Source/cmakeconfig.h.cmake
Hunk #1 FAILED at 96.
1 out of 1 hunk FAILED -- saving rejects to file Source/cmakeconfig.h.cmake.rej
patching file ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Philippe Normand']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: http://webkit-queues.appspot.com/results/4782779388657664
Comment 17 Eduardo Lima Mitev 2014-08-11 01:07:27 PDT
Created attachment 236355 [details]
Patch
Comment 18 WebKit Commit Bot 2014-08-11 01:14:18 PDT
Attachment 236355 [details] did not pass style-queue:


ERROR: Source/WebCore/CMakeLists.txt:33:  Alphabetical sorting problem. "page" should be before "loader/appcache".  [list/order] [5]
Total errors found: 1 in 16 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 19 WebKit Commit Bot 2014-08-11 01:59:36 PDT
Comment on attachment 236355 [details]
Patch

Clearing flags on attachment: 236355

Committed r172389: <http://trac.webkit.org/changeset/172389>
Comment 20 WebKit Commit Bot 2014-08-11 01:59:42 PDT
All reviewed patches have been landed.  Closing bug.